Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 452140 - app-misc/byobu-5.27 version bump
Summary: app-misc/byobu-5.27 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Andrey Kislyuk (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-14 22:01 UTC by Christoph Lange
Modified: 2013-01-15 13:55 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Lange 2013-01-14 22:01:32 UTC
There is now byobu-5.27, but the Gentoo ebuilds are still at 5.18.

I successfully tried to copy byobu-5.18.ebuild to byobu-5.27.ebuild in a local overlay and I'm now running byobu-5.27.

So providing more recent ebuilds should be as easy as copying the existing ones.

I'm not exactly sure about the right dependencies.  The Byobu homepage doesn't say anything about specific screen or tmux versions.  However /usr/bin/byobu-ctrl-a of byobu-5.27 does require at least tmux-1.5 (no problem for us, as tmux-1.6 is the oldest version in Portage anyway).

Reproducible: Always
Comment 1 Justin Lecher gentoo-dev 2013-01-15 13:55:30 UTC
+*byobu-5.27 (15 Jan 2013)
+
+  15 Jan 2013; Justin Lecher <jlec@gentoo.org> +byobu-5.27.ebuild,
+  metadata.xml:
+  Version Bump, #452140; move to python-single-r1.eclass
+